summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Stone <daniels@collabora.com>2017-03-16 12:44:04 +0000
committerDaniel Stone <daniels@collabora.com>2017-03-16 12:49:24 +0000
commit154fa6c20ca651b9697e303183cd3964774ffaf9 (patch)
treeb0d9e9235442292fccbd31ca934a01bf38f18d69
parentbdaeadef362a0320340926a92ff04f215ab4665e (diff)
Update pre-commit config
pre-commit has apparently changed incompatibly, spewing warnings about how legacy hooks are being used and thus it is skipping everything. Signed-off-by: Daniel Stone <daniels@collabora.com> Differential Revision: https://phabricator.freedesktop.org/D1693
-rw-r--r--.pre-commit-config.yaml9
1 files changed, 5 insertions, 4 deletions
diff --git a/.pre-commit-config.yaml b/.pre-commit-config.yaml
index 0c30038..564a5c2 100644
--- a/.pre-commit-config.yaml
+++ b/.pre-commit-config.yaml
@@ -1,5 +1,5 @@
1- repo: https://github.com/pre-commit/pre-commit-hooks.git 1- repo: https://github.com/pre-commit/pre-commit-hooks.git
2 sha: ff65d01841ad012d0a9aa1dc451fc4539d8b7baf 2 sha: 414cfa7b2322cf1c46cd33a49e9da833ad785473
3 hooks: 3 hooks:
4 - id: trailing-whitespace 4 - id: trailing-whitespace
5 - id: end-of-file-fixer 5 - id: end-of-file-fixer
@@ -13,14 +13,15 @@
13 - id: requirements-txt-fixer 13 - id: requirements-txt-fixer
14 - id: flake8 14 - id: flake8
15 files: ^git-phab$ 15 files: ^git-phab$
16 args: ["--max-complexity=40"] 16 args:
17 - --max-complexity=40
17- repo: https://github.com/pre-commit/pre-commit.git 18- repo: https://github.com/pre-commit/pre-commit.git
18 sha: 495e21b24dfc73624c8c7a16bf974da54e3217e7 19 sha: 6e5ac079273c1499add3a85d9b5394d0f1ef1520
19 hooks: 20 hooks:
20 - id: validate_config 21 - id: validate_config
21 - id: validate_manifest 22 - id: validate_manifest
22- repo: https://github.com/asottile/reorder_python_imports.git 23- repo: https://github.com/asottile/reorder_python_imports.git
23 sha: 017e2f64306853ec7f000db52b8280da27eb3b96 24 sha: v0.3.2
24 hooks: 25 hooks:
25 - id: reorder-python-imports 26 - id: reorder-python-imports
26 language_version: python2.7 27 language_version: python2.7